
#ifndef __INSTALLMENT_H__
#define	__INSTALLMENT_H__

#include "config.h"


// 初始化
int InitInstallment(void);

// 设置密码
int SetInstallMent(char * pPswdStr);

// 得到剩余工作时长，单位为分钟
int GetWorkableTime(void);


// 更新计数器，单位为分钟
int RefWorkableTimer(s32 val);

// 板卡ID信息
void GetBoardIdInfo(char * boardId);

// 加密字符串
void GetLastInstallment(char * installment);

// 加密前一次密码
void GetLastpswd(u8 * lastpswd);

#endif
